import request from '@/utils/request'

// 查询特别申请列表
export function listApply(query) {
  return request({
    url: '/major/apply/list',
    method: 'get',
    params: query
  })
}

// 查询特别申请详细
export function getApply(specialApplyId) {
  return request({
    url: '/major/apply/' + specialApplyId,
    method: 'get'
  })
}

// 新增特别申请
export function addApply(data) {
  return request({
    url: '/major/apply',
    method: 'post',
    data: data
  })
}

// 修改特别申请
export function updateApply(data) {
  return request({
    url: '/major/apply',
    method: 'put',
    data: data
  })
}

// 删除特别申请
export function delApply(specialApplyId) {
  return request({
    url: '/major/apply/' + specialApplyId,
    method: 'delete'
  })
}
